---
# Keep this so Jekyll processes Liquid before SCSS
---
$debug: {{ jekyll.environment | not: 'production' }};

{% assign books = site.posts | where: 'layout', 'book' %}
{% assign features = site.posts | where: 'layout', 'feature' %}
{%- assign t = site.data[site.lang] -%}

/// Redefine variables from node_modules/bootstrap/scss/_variables.scss
$gray-100: #efefef;
$gray-600: #f3f3f3;
$gray-800: #666;
$gray-share: #bdbdbd;
$gray-breadcrumb: #444;
$link-hover-color: #333;
$link-decoration: underline;
$font-family-sans-serif: Georgia, Times New Roman, serif;
$headings-font-family: "Open Sans", Helvetica, Arial, sans-serif;
$enable-rounded: false;
$body-color: #000;
$navbar-padding-y: 0;
$navbar-padding-x: 0;
$nav-link-padding-y: 0;
$nav-link-padding-x: 2rem;
$breadcrumb-margin-bottom: 0;
$breadcrumb-bg: transparent;
$breadcrumb-divider-color: $gray-800;
$breadcrumb-active-color: $gray-800;
$breadcrumb-divider: "{{ t.breadbar.separator }}";
$breadcrumb-item-padding: 10px;
$navbar-height: 24px;
$navbar-sm-height: 48px;
$secondary-navbar-height-sm: 153px;
$input-placeholder-color: $gray-800;
$body-bg: {{ site.background_color | default: "#ffffff" }};
$primary: {{ site.primary_color | default: "#666666" }};
$enable-responsive-font-sizes: true;
$transition-base: all 0.2s cubic-bezier(0.75, 0, 0.25, 1);
$paragraph-margin-bottom: 2rem;
$enable-shadows: false;

$container-max-widths: (
  lg: 820px,
  xl: 821px
);

$sizes: (
  10: 10%,
  100vh: 100vh,
  260px: 260px,
  300px: 300px,
  sidebar: 21.25rem,
  "30px": 30px,
  auto: auto
);

/// These measurements were taken from the original design
$spacers: (
  15: 15%,
  0: 0,
  "4px": 4px,
  "5px": 5px,
  "10px": 10px,
  "12px": 12px,
  "14px": 14px,
  "15px": 15px,
  "18px": 18px,
  "20px": 20px,
  "24px": 24px,
  "30px": 30px,
  "34px": 34px,
  "45px": 45px,
  "50px": 50px,
  "55px": 55px,
  "60px": 60px,
  "70px": 70px,
  "73px": 73px,
  6: 4.5rem,
  navbar: $navbar-height,
  navbar-sm: $navbar-sm-height,
  secondary-navbar-sm: $secondary-navbar-height-sm
);

$opacities: (
  0: -100%,
  1: -80%,
  2: -60%,
  3: -40%,
  4: -20%,
  5: 0%
);

/// Add new colors from books and features
$colors: (
{% for book in books %}
  "{{ book.slug }}": {{ book.color | default: site.color }},
{% endfor %}
{% for feature in features %}
  "{{ feature.slug }}": {{ feature.color | default: site.color }},
{% endfor %}
  "site": {{ site.color }},
  "black": #000,
  "gray-light": $gray-100,
  "primary": $primary,
  "transparent": transparent,
  "gray-share": $gray-share
);

$theme-colors: (
{% for book in books %}
  "{{ book.slug }}": {{ book.color | default: site.color }},
{% endfor %}
{% for feature in features %}
  "{{ feature.slug }}": {{ feature.color | default: site.color }},
{% endfor %}
  "site": {{ site.color }},
  "gray-share": $gray-share,
  "gray-breadcrumb": $gray-breadcrumb
);

/// Since the content HTML comes from Markdown, we need to define their
/// their style inside a .content.
{% for book in books %}
  {% include content.scss page=book %}
{% endfor %}
{% for feature in features %}
  {% include content.scss page=feature %}
{% endfor %}

// https://fonts.googleapis.com/css?family=Open+Sans:300,700
@font-face {
  font-family: 'Open Sans';
  font-style: normal;
  font-weight: 300;
  src: url(../fonts/opensans/v20/mem5YaGs126MiZpBA-UN_r8OUuhs-subset.woff2) format('woff2');
}

@font-face {
  font-family: 'Open Sans';
  font-style: normal;
  font-weight: 700;
  src: url(../fonts/opensans/v20/mem5YaGs126MiZpBA-UN7rgOUuhs-subset.woff2) format('woff2');
}

@import "bootstrap/scss/bootstrap";
@import "fork-awesome/scss/fork-awesome";
@import "helpers";
@import "toggler";

.background {
  background-position: center center;
  background-repeat: no-repeat;
  background-size: cover;
  background-image: url("{{ site.background_image | relative_url }}");
}

{% comment %}
@if $debug {
  * { outline: 1px solid pink; }
}
{% endcomment %}

{% comment %}
If the separator is a ForkAwesome icon, define it as one.
{% endcomment %}
{% if t.breadbar.fa_separator %}
  .breadcrumb-item {
    + .breadcrumb-item {
      &::before {
        @include fa-icon();
        color: $gray-breadcrumb;
      }
    }
  }
{% endif %}

.letter-spacing {
  letter-spacing: 3px;
}

.letter-spacing-h1 {
  letter-spacing: 5px;
}

blockquote {
  margin: 2rem;
  font-style: italic;
}

.bd-navbar {
  position: -webkit-sticky;
  position: sticky;
  top: 0;
  z-index: 1072;
}

.bd-titlebar {
  position: -webkit-sticky;
  position: sticky;
  top: 32px;
  z-index: 1071;
}

.print {
  transition: background-color 0.5s;
  a {
    display: none;
  }
}

.print:hover {
  background-color: transparent !important;
  transition: background-color 0.5s;

  i {
    display: none;
  }

  a {
    display: inline-block;
    font-weight: bold;
    font-size: 10px;
    text-decoration: none;
  }
}

@each $spacer, $value in $spacers {
  .border-#{$spacer} {
    border-width: $value !important;
  }
}